<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE DDDB SYSTEM "../DTD/structure.dtd">
<DDDB>

<!-- 
  *****************************************************************************
  * $Id: structure.xml,v 1.1 2003-09-04 07:56:53 ranjard Exp $ 
  * 
  * CVS tag $Name: not supported by cvs2svn $ 
  * 
  * $Log: not supported by cvs2svn $
  * Revision 1.19  2003/06/19 06:18:21  cattanem
  * v16r0
  *
  * Revision 1.18  2003/01/23 18:54:16  ocallot
  * Update Ecal and Hcal ActiveToTotal
  *
  * Revision 1.17  2002/09/12 09:32:57  cattanem
  * Add vertical Rich, Velo optimisation
  *
  * Revision 1.16  2002/06/15 06:26:40  ocallot
  * New user parameters in Calo
  *
  * Revision 1.15  2001/12/15 16:05:27  ibelyaev
  * The first version of  detailed Ecal description by Galina Pakhlova
  * 
  * 
  *****************************************************************************
-->

<!-- ***************************************************************** -->
<!--                  Define detector elements for Ecal                -->
<!-- ***************************************************************** -->

  <parameter name="OutCell"     value="121.7*mm"     />   
  <parameter name="MidCell"     value="OutCell/2.0"  />   
  <parameter name="InCell"      value="OutCell/3.0"  />
  
  <detelem name = "Ecal" classID = "8900">
    
    <author>  Galina Pakhlova Galina.Pakhlova@cern.ch </author>
    <version>             2.0                         </version>

    <geometryinfo lvname  = "/dd/Geometry/Ecal/Installation/Ecal"  
                  support = "/dd/Structure/LHCb"
                  npath   = "EcalSubsystem"/>

    <detelemref href = "#EcalOuter"   />
    <detelemref href = "#EcalMiddle"  />
    <detelemref href = "#EcalInner"   />
     
    <userParameter name = "centralHoleX" type="int">         8 </userParameter>

    <userParameter name = "centralHoleY" type="int">         6 </userParameter>

    <userParameter name = "YToXSizeRatio" 
                   type = "double" >             121.85/121.70 </userParameter>

    <userParameter name = "CodingBit" type = "int"  >        6 </userParameter>

    <userParameter name = "EtInCenter" type = "double"
                   comment="10 GeV Et Max in center">  10.*GeV </userParameter>

    <userParameter name="EtSlope" type="double"
      comment="10 + .3*7 = 12.1 at 300 mrad">           7.*GeV </userParameter>

    <userParameter name="AdcMax"  type="int">             4095 </userParameter>

    <userParameter name="ActiveToTotal" type="double"
      comment="Updated, O.Callot, 23/01/2003">             7.0 </userParameter>

    <userParameter name="ZShowerMax" type="double"
      comment="110 mm from the start of Shashlik">   -107.5*mm </userParameter>

 </detelem>

<!-- ***************************************************************** -->
  <detelem name = "EcalInner"    classID="8901" >
    <geometryinfo lvname  = "/dd/Geometry/Ecal/Installation/InnSection"
      npath   = "InnerSection"
      support = "/dd/Structure/LHCb/Ecal"/>
    
    <userParameter name="CellSize" type="double"> InCell </userParameter>
  </detelem>
<!-- ***************************************************************** -->
 
  <detelem name = "EcalMiddle"  classID="8901" >
    <geometryinfo lvname  = "/dd/Geometry/Ecal/Installation/MidSection"
      npath   = "MiddleSection"
      support = "/dd/Structure/LHCb/Ecal"/>
    <userParameter name="CellSize" type="double"> MidCell </userParameter>
  </detelem>
<!-- ***************************************************************** -->
  <detelem name = "EcalOuter"   classID="8901" >
      <geometryinfo lvname  = "/dd/Geometry/Ecal/Installation/OutSection"
                    npath   = "OuterSection"
                    support = "/dd/Structure/LHCb/Ecal"/>

    <userParameter name="CellSize" type="double"> OutCell </userParameter>

    </detelem>

<!-- ***************************************************************** -->

</DDDB>
